package com.yeejoin.amos.bank.remote.client;

import com.yeejoin.amos.component.feign.config.InnerInvokException;
import com.yeejoin.amos.op.core.common.response.CommonResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @Author: Xing Lei
 * @Description:
 * @Date: 2020-02-18 14:52
 */
@FeignClient(name = "${gateway.fegin.name}")
public interface PatrolRemoteClient {

    /**
     * 发送告警信息
     */
    @RequestMapping(value = "api/msgSubscribe/alarmNotification", method = RequestMethod.POST, consumes= MediaType.APPLICATION_JSON_UTF8_VALUE)
    CommonResponse sendAlarmNotification(@RequestBody String  input) throws InnerInvokException;
}
